Browse Source

Bump nodemailer from 2.7.2 to 6.4.16

Bumps [nodemailer](https://github.com/nodemailer/nodemailer) from 2.7.2 to 6.4.16.
- [Release notes](https://github.com/nodemailer/nodemailer/releases)
- [Changelog](https://github.com/nodemailer/nodemailer/blob/master/CHANGELOG.md)
- [Commits](https://github.com/nodemailer/nodemailer/compare/v2.7.2...v6.4.16)

Signed-off-by: dependabot[bot] <support@github.com>
dependabot/npm_and_yarn/nodemailer-6.4.16
dependabot[bot] 7 months ago
committed by GitHub
parent
commit
94091e214f
No known key found for this signature in database GPG Key ID: 4AEE18F83AFDEB23
3 changed files with 8155 additions and 1022 deletions
  1. +8149
    -895
      npm-shrinkwrap.json
  2. +1
    -1
      package.json
  3. +5
    -126
      yarn.lock

+ 8149
- 895
npm-shrinkwrap.json
File diff suppressed because it is too large
View File


+ 1
- 1
package.json View File

@@ -67,7 +67,7 @@
"lodash.isundefined": "^3.0.1",
"moment": "^2.15.1",
"morgan": "~1.7.0",
"nodemailer": "^2.5.0",
"nodemailer": "^6.4.16",
"recaptcha2": "^1.0.8",
"serve-favicon": "^2.3.0",
"winston": "^2.2.0",


+ 5
- 126
yarn.lock View File

@@ -64,10 +64,6 @@ acorn@^5.1.1:
version "5.1.2"
resolved "https://registry.yarnpkg.com/acorn/-/acorn-5.1.2.tgz#911cb53e036807cf0fa778dc5d370fbd864246d7"

addressparser@1.0.1:
version "1.0.1"
resolved "https://registry.yarnpkg.com/addressparser/-/addressparser-1.0.1.tgz#47afbe1a2a9262191db6838e4fd1d39b40821746"

ajv-keywords@^2.1.0:
version "2.1.0"
resolved "https://registry.yarnpkg.com/ajv-keywords/-/ajv-keywords-2.1.0.tgz#a296e17f7bfae7c1ce4f7e0de53d29cb32162df0"
@@ -579,18 +575,6 @@ buffer-to-vinyl@^1.0.0:
uuid "^2.0.1"
vinyl "^1.0.0"

buildmail@4.0.1:
version "4.0.1"
resolved "https://registry.yarnpkg.com/buildmail/-/buildmail-4.0.1.tgz#877f7738b78729871c9a105e3b837d2be11a7a72"
dependencies:
addressparser "1.0.1"
libbase64 "0.1.0"
libmime "3.0.0"
libqp "1.1.0"
nodemailer-fetch "1.6.0"
nodemailer-shared "1.1.0"
punycode "1.4.1"

builtin-modules@^1.0.0:
version "1.1.1"
resolved "https://registry.yarnpkg.com/builtin-modules/-/builtin-modules-1.1.1.tgz#270f076c5a72c02f5b65a47df94c5fe3a278892f"
@@ -2608,17 +2592,6 @@ http-signature@~1.1.0:
jsprim "^1.2.2"
sshpk "^1.7.0"

httpntlm@1.6.1:
version "1.6.1"
resolved "https://registry.yarnpkg.com/httpntlm/-/httpntlm-1.6.1.tgz#ad01527143a2e8773cfae6a96f58656bb52a34b2"
dependencies:
httpreq ">=0.4.22"
underscore "~1.7.0"

httpreq@>=0.4.22:
version "0.4.23"
resolved "https://registry.yarnpkg.com/httpreq/-/httpreq-0.4.23.tgz#0f460fe0c781029bcad7f47cad08de6cc1130212"

icojs@^0.4.1:
version "0.4.1"
resolved "https://registry.yarnpkg.com/icojs/-/icojs-0.4.1.tgz#ac8c1870c223bb2ed33886ba2d34f81f00dff4d3"
@@ -2629,10 +2602,6 @@ iconv-lite@0.4.13:
version "0.4.13"
resolved "https://registry.yarnpkg.com/iconv-lite/-/iconv-lite-0.4.13.tgz#1f88aba4ab0b1508e8312acc39345f36e992e2f2"

iconv-lite@0.4.15:
version "0.4.15"
resolved "https://registry.yarnpkg.com/iconv-lite/-/iconv-lite-0.4.15.tgz#fe265a218ac6a57cfe854927e9d04c19825eddeb"

iconv-lite@^0.4.17:
version "0.4.19"
resolved "https://registry.yarnpkg.com/iconv-lite/-/iconv-lite-0.4.19.tgz#f7468f60135f5e5dad3399c0a81be9a1603a082b"
@@ -2791,10 +2760,6 @@ ip-regex@^1.0.1:
version "1.0.3"
resolved "https://registry.yarnpkg.com/ip-regex/-/ip-regex-1.0.3.tgz#dc589076f659f419c222039a33316f1c7387effd"

ip@^1.1.2:
version "1.1.5"
resolved "https://registry.yarnpkg.com/ip/-/ip-1.1.5.tgz#bdded70114290828c0a039e72ef25f5aaec4354a"

ipaddr.js@1.3.0:
version "1.3.0"
resolved "https://registry.yarnpkg.com/ipaddr.js/-/ipaddr.js-1.3.0.tgz#1e03a52fdad83a8bbb2b25cbf4998b4cffcd3dec"
@@ -3575,22 +3540,6 @@ levn@^0.3.0, levn@~0.3.0:
prelude-ls "~1.1.2"
type-check "~0.3.2"

libbase64@0.1.0:
version "0.1.0"
resolved "https://registry.yarnpkg.com/libbase64/-/libbase64-0.1.0.tgz#62351a839563ac5ff5bd26f12f60e9830bb751e6"

libmime@3.0.0:
version "3.0.0"
resolved "https://registry.yarnpkg.com/libmime/-/libmime-3.0.0.tgz#51a1a9e7448ecbd32cda54421675bb21bc093da6"
dependencies:
iconv-lite "0.4.15"
libbase64 "0.1.0"
libqp "1.1.0"

libqp@1.1.0:
version "1.1.0"
resolved "https://registry.yarnpkg.com/libqp/-/libqp-1.1.0.tgz#f5e6e06ad74b794fb5b5b66988bf728ef1dedbe8"

load-bmfont@^1.2.3:
version "1.3.0"
resolved "https://registry.yarnpkg.com/load-bmfont/-/load-bmfont-1.3.0.tgz#bb7e7c710de6bcafcb13cb3b8c81e0c0131ecbc9"
@@ -3788,13 +3737,6 @@ lru-cache@^4.0.1:
pseudomap "^1.0.1"
yallist "^2.0.0"

mailcomposer@4.0.1:
version "4.0.1"
resolved "https://registry.yarnpkg.com/mailcomposer/-/mailcomposer-4.0.1.tgz#0e1c44b2a07cf740ee17dc149ba009f19cadfeb4"
dependencies:
buildmail "4.0.1"
libmime "3.0.0"

makeerror@1.0.x:
version "1.0.11"
resolved "https://registry.yarnpkg.com/makeerror/-/makeerror-1.0.11.tgz#e01a5c9109f2af79660e4e8b9587790184f5a96c"
@@ -4084,54 +4026,9 @@ node-status-codes@^1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/node-status-codes/-/node-status-codes-1.0.0.tgz#5ae5541d024645d32a58fcddc9ceecea7ae3ac2f"

nodemailer-direct-transport@3.3.2:
version "3.3.2"
resolved "https://registry.yarnpkg.com/nodemailer-direct-transport/-/nodemailer-direct-transport-3.3.2.tgz#e96fafb90358560947e569017d97e60738a50a86"
dependencies:
nodemailer-shared "1.1.0"
smtp-connection "2.12.0"

nodemailer-fetch@1.6.0:
version "1.6.0"
resolved "https://registry.yarnpkg.com/nodemailer-fetch/-/nodemailer-fetch-1.6.0.tgz#79c4908a1c0f5f375b73fe888da9828f6dc963a4"

nodemailer-shared@1.1.0:
version "1.1.0"
resolved "https://registry.yarnpkg.com/nodemailer-shared/-/nodemailer-shared-1.1.0.tgz#cf5994e2fd268d00f5cf0fa767a08169edb07ec0"
dependencies:
nodemailer-fetch "1.6.0"

nodemailer-smtp-pool@2.8.2:
version "2.8.2"
resolved "https://registry.yarnpkg.com/nodemailer-smtp-pool/-/nodemailer-smtp-pool-2.8.2.tgz#2eb94d6cf85780b1b4725ce853b9cbd5e8da8c72"
dependencies:
nodemailer-shared "1.1.0"
nodemailer-wellknown "0.1.10"
smtp-connection "2.12.0"

nodemailer-smtp-transport@2.7.2:
version "2.7.2"
resolved "https://registry.yarnpkg.com/nodemailer-smtp-transport/-/nodemailer-smtp-transport-2.7.2.tgz#03d71c76314f14ac7dbc7bf033a6a6d16d67fb77"
dependencies:
nodemailer-shared "1.1.0"
nodemailer-wellknown "0.1.10"
smtp-connection "2.12.0"

nodemailer-wellknown@0.1.10:
version "0.1.10"
resolved "https://registry.yarnpkg.com/nodemailer-wellknown/-/nodemailer-wellknown-0.1.10.tgz#586db8101db30cb4438eb546737a41aad0cf13d5"

nodemailer@^2.5.0:
version "2.7.2"
resolved "https://registry.yarnpkg.com/nodemailer/-/nodemailer-2.7.2.tgz#f242e649aeeae39b6c7ed740ef7b061c404d30f9"
dependencies:
libmime "3.0.0"
mailcomposer "4.0.1"
nodemailer-direct-transport "3.3.2"
nodemailer-shared "1.1.0"
nodemailer-smtp-pool "2.8.2"
nodemailer-smtp-transport "2.7.2"
socks "1.1.9"
nodemailer@^6.4.16:
version "6.4.16"
resolved "https://registry.yarnpkg.com/nodemailer/-/nodemailer-6.4.16.tgz#5cb6391b1d79ab7eff32d6f9f48366b5a7117293"

nopt@^4.0.1:
version "4.0.1"
@@ -4589,7 +4486,7 @@ pseudomap@^1.0.1:
version "1.0.2"
resolved "https://registry.yarnpkg.com/pseudomap/-/pseudomap-1.0.2.tgz#f052a28da70e618917ef0a8ac34c1ae5a68286b3"

punycode@1.4.1, punycode@^1.4.1:
punycode@^1.4.1:
version "1.4.1"
resolved "https://registry.yarnpkg.com/punycode/-/punycode-1.4.1.tgz#c0d5a63b2718800ad8e1eb0fa5269c84dd41845e"

@@ -5070,30 +4967,12 @@ slice-ansi@1.0.0:
dependencies:
is-fullwidth-code-point "^2.0.0"

smart-buffer@^1.0.4:
version "1.1.15"
resolved "https://registry.yarnpkg.com/smart-buffer/-/smart-buffer-1.1.15.tgz#7f114b5b65fab3e2a35aa775bb12f0d1c649bf16"

smtp-connection@2.12.0:
version "2.12.0"
resolved "https://registry.yarnpkg.com/smtp-connection/-/smtp-connection-2.12.0.tgz#d76ef9127cb23c2259edb1e8349c2e8d5e2d74c1"
dependencies:
httpntlm "1.6.1"
nodemailer-shared "1.1.0"

sntp@1.x.x:
version "1.0.9"
resolved "https://registry.yarnpkg.com/sntp/-/sntp-1.0.9.tgz#6541184cc90aeea6c6e7b35e2659082443c66198"
dependencies:
hoek "2.x.x"

socks@1.1.9:
version "1.1.9"
resolved "https://registry.yarnpkg.com/socks/-/socks-1.1.9.tgz#628d7e4d04912435445ac0b6e459376cb3e6d691"
dependencies:
ip "^1.1.2"
smart-buffer "^1.0.4"

source-map-support@^0.4.15:
version "0.4.18"
resolved "https://registry.yarnpkg.com/source-map-support/-/source-map-support-0.4.18.tgz#0286a6de8be42641338594e97ccea75f0a2c585f"
@@ -5623,7 +5502,7 @@ underscore.string@2.3.3:
version "2.3.3"
resolved "https://registry.yarnpkg.com/underscore.string/-/underscore.string-2.3.3.tgz#71c08bf6b428b1133f37e78fa3a21c82f7329b0d"

underscore@1.7.0, underscore@~1.7.0:
underscore@1.7.0:
version "1.7.0"
resolved "https://registry.yarnpkg.com/underscore/-/underscore-1.7.0.tgz#6bbaf0877500d36be34ecaa584e0db9fef035209"



Loading…
Cancel
Save